<?php
//Ajax Init
include "ajax-init.php";
// storing  request (ie, get/post) global array to a variable
$requestData= $_REQUEST;
$columns = array(
// datatable column index  => database column name
    0 =>'dateTime',
    1 =>'globalAccount',
    2 =>'superAgent'
);
// getting total number records without any search
//$sql = "SELECT employee_name, employee_salary, employee_age ";
//$sql.=" FROM tree_tbl";
$query=mysqli_query($dbc, "SELECT count(*) as total FROM super_glo_acc_transaction_tbl") or die("ajax-list-customers.php: get total number of customers");
$totalData = mysqli_fetch_assoc($query);
$totalFiltered = $totalData['total'];  // when there is no search parameter then total number rows = total number filtered rows.

if( !empty($requestData['search']['value']) ) {
    // if there is a search parameter
    $sql = "SELECT * ";
    $sql.=" FROM super_glo_acc_transaction_tbl";
    $sql.=" WHERE dateTime LIKE '%".$requestData['search']['value']."%' ";    // $requestData['search']['value'] contains search parameter
    $query=mysqli_query($dbc, $sql) or die("ajax-list-customers.php: get customers");
    $totalFiltered = mysqli_num_rows($query); // when there is a search parameter then we have to modify total number filtered rows as per search result without limit in the query
    $sql.=" ORDER BY ". $columns[$requestData['order'][0]['column']]."   ".$requestData['order'][0]['dir']."   LIMIT ".$requestData['start']." ,".$requestData['length']."   "; // $requestData['order'][0]['column'] contains colmun index, $requestData['order'][0]['dir'] contains order such as asc/desc , $requestData['start'] contains start row number ,$requestData['length'] contains limit length.
    $query=mysqli_query($dbc, $sql) or die("ajax-list-customers.php: get Customers"); // again run query with limit

} else {
    $sql = "SELECT * ";
    $sql.=" FROM super_glo_acc_transaction_tbl";
    $sql.=" ORDER BY ". $columns[$requestData['order'][0]['column']]."   ".$requestData['order'][0]['dir']."   LIMIT ".$requestData['start']." ,".$requestData['length']."   ";
    $query=mysqli_query($dbc, $sql) or die("ajax-list-customers.php: get Customers");

}

$data = array();

while( $row=mysqli_fetch_array($query) ) {  // preparing an array
    $superAgent = get_customer_by_id($dbc,$row['superAgent']);
    $gloAccount = get_all_from_gloAccount_by_id($dbc,$row['globalAccount']);
    $userData = get_user_by_id($dbc,$row['user_by']);
    $nestedData = array();
    $nestedData[] = $row["dateTime"];
    $nestedData[] = $gloAccount["accountName"];
    $nestedData[] = $superAgent["companyName"]."(".$superAgent["phoneNum"].")";
    $nestedData[] = $row["amount"];
    $nestedData[] = $row["transaction_uid"];
    $nestedData[] = $userData["fullName"];


    $data[] = $nestedData;
}

$json_data = array(
    "draw"            => intval( $requestData['draw'] ),   // for every request/draw by clientside , they send a number as a parameter, when they recieve a response/data they first check the draw number, so we are sending same number in draw.
    "recordsTotal"    => intval( $totalData ),  // total number of records
    "recordsFiltered" => intval( $totalFiltered ), // total number of records after searching, if there is no searching then totalFiltered = totalData
    "data"            => $data   // total data array
);
echo json_encode($json_data);  // send data as json format